package com.cool.store.enums.notice;

import java.util.Arrays;
import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2025/7/24 13:59
 * @Version 1.0
 */
public enum ModuleCodeEnum {

    STORE_WORK(0,"店务/培训", Arrays.asList(MatterTypeEnum.QUESTION,MatterTypeEnum.LICENSE)),
    PRODUCT_UPDATE(1,"营销/上新",Arrays.asList(MatterTypeEnum.SERVICE_PACKAGE)),
    INVENTORY_MODULE(2,"订货/库存",Arrays.asList(MatterTypeEnum.RESTOCK,MatterTypeEnum.INVENTORY,MatterTypeEnum.LOGISTICS)),
    DISH(3,"菜品",Arrays.asList(MatterTypeEnum.NOTICE)),
    FRANCHISE(4,"加盟",Arrays.asList(MatterTypeEnum.NOTICE)),
    //其他（投诉与客户服务、临时通知）
    OTHER(5,"其他",Arrays.asList(MatterTypeEnum.NOTICE, MatterTypeEnum.REALTIME)),
    ;

    ModuleCodeEnum(Integer code, String message,List<MatterTypeEnum> matterTypeEnums) {
        this.code = code;
        this.message = message;
        this.matterTypeEnums  = matterTypeEnums;
    }

    private Integer code;

    private String message;

    private List<MatterTypeEnum> matterTypeEnums;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public List<MatterTypeEnum> getMatterTypeEnums() {
        return matterTypeEnums;
    }

    public void setMatterTypeEnums(List<MatterTypeEnum> matterTypeEnums) {
        this.matterTypeEnums = matterTypeEnums;
    }
}
